from setuptools import setup
from setuptools.command.install_scripts import install_scripts
from subprocess import check_output


class PostInstall(install_scripts):
    def run(self):
        install_scripts.run(self)
        print "running sam post install"
        print check_output("sam-installer")

requirements = [
    'convertible==0.8',
    'syncloud-app==0.16',
]

setup(
    name='syncloud-sam',
    version='0.30',
    scripts = ['bin/sam', 'bin/sam-installer'],
    install_requires = requirements,
    description='Syncloud application manager',
    packages = ['syncloud', 'syncloud.sam'],
    namespace_packages = ['syncloud'],
    data_files=[('sam/config', ['config/sam.cfg'])],
    license='GPLv3',
    author='Syncloud',
    author_email='syncloud@googlegroups.com',
    url='https://github.com/syncloud/sam',
    cmdclass={"install_scripts": PostInstall}
)